[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TFileDialog.FileName

Contains the UTF-8-encoded name for a file chosen using the dialog.

## Declaration

Source position: dialogs.pp line 175

`published property TFileDialog.FileName : string read FFileName write SetFileName;`

## Description

FileName is a String property with the name for a file chosen using the dialog. As a String type, it can contain UTF-8-encoded values. If you need the file name using the system encoding, you can use UTF8ToSys from the LazUTF8 unit.

The value in FileName may be used in a different context in descendent classes. For example, it represents a directory name in the TSelectDirectoryDialog descendant.

## See also

UTF8ToSys